#version 120
// (C) Dmytry Lavrov. All rights reserved.

/// Does not scale correctly.
uniform float brightness;
uniform float interp_t;
attribute vec3 old_vertex;
attribute float lifetime;
attribute float mass;

varying vec3 delta;

varying float x;

varying float br;

void main(void)
{
	vec4 camera_pos = gl_ModelViewMatrixInverse[3];
  vec3 interp_vert = old_vertex + (gl_Vertex.xyz-old_vertex) * interp_t;
  vec4 pos = gl_ModelViewProjectionMatrix * vec4(interp_vert, 1.0);
  delta=interp_vert-camera_pos.xyz;
  gl_Position=pos;

  //float q=exp2(255.0*gl_Color.a-119.0);
  //q*=1.0+1.0/(lifetime+0.1);
  //gl_FrontColor=vec4(gl_Color.rgb*(q*sqrt(brightness)),1.0);
  br=(mass+0.1)*sqrt(brightness)*0.5;

  x=lifetime>0.0?1.0:0.0;
}


